Loading...
Searching...
No Matches
PurifyIndexMath.h File Reference

Removes side-effects in integer math. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Expr | Halide::Internal::purify_index_math (const Expr &)
| Bounds inference and related stages can lift integer bounds expressions out of if statements that guard against those integer expressions doing side-effecty things like dividing or modding by zero.

## Detailed Description

Removes side-effects in integer math.

Definition in file PurifyIndexMath.h.